Net::DNS::RR::NAPTR(3)

NAME
Net::DNS::RR::NAPTR - DNS NAPTR resource record

SYNOPSIS
"use Net::DNS::RR";

DESCRIPTION
Class for DNS Naming Authority Pointer (NAPTR) resource records.

METHODS

  order
    print "order = ", $rr->order, "\n";

Returns the order field.

  preference
    print "preference = ", $rr->preference, "\n";

Returns the preference field.

  flags
    print "flags = ", $rr->flags, "\n";

Returns the flags field.

  service
    print "service = ", $rr->service, "\n";

Returns the service field.

  regexp
    print "regexp = ", $rr->regexp, "\n";

Returns the regexp field.

  replacement
    print "replacement = ", $rr->replacement, "\n";

Returns the replacement field.

COPYRIGHT
Copyright (c) 1997-2002 Michael Fuhr.

Portions Copyright (c) 2002-2004 Chris Reinhardt. Portions Copyright (c) 2005 Olaf Kolkman NLnet Labs.

All rights reserved. This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Net::DNS::RR::NAPTR is based on code contributed by Ryan Moats.

SEE ALSO
perl(1), Net::DNS, Net::DNS::Resolver, Net::DNS::Packet, Net::DNS::Header, Net::DNS::Question, Net::DNS::RR, RFC 2168